using System;
using System.Collections.Generic;
using System.Text;

/* FogBugz namespaces */
using FogCreek.FogBugz.Plugins;
using FogCreek.FogBugz.Plugins.Api;
using FogCreek.FogBugz.Plugins.Entity;
using FogCreek.FogBugz.Plugins.Interfaces;
using FogCreek.FogBugz;
using FogCreek.FogBugz.Globalization;
using FogCreek.FogBugz.UI;

namespace Localization_Example
{
    public class Localization_Example : Plugin, IPluginExtrasMenu, IPluginPageDisplay
    {
        public Localization_Example(CPluginApi api) : base(api)
        {
        }

        #region IPluginExtrasMenu Members

        public CNavMenuLink[] ExtrasMenuLinks()
        {
            if (api.Person.GetCurrentPerson().GetPermissionLevel() > PermissionLevel.Community)
                return new CNavMenuLink[] { 
                    new CNavMenuLink("Hello Kiwi!", api.Url.PluginPageUrl()) };
            else
                return new CNavMenuLink[] { };
        }

        #endregion

        #region IPluginPageDisplay Members

        public string PageDisplay()
        {
            /* Display the current culture, and a few localized strings using the
             * resource files and FogBugz's CLocalizer class. */
            
            return String.Format(
                @"<h1>{0}, {1}!</h1>
                  <p>Current Culture: <b>{2}</b></p>
                  <p>The word for ""Case"" in this culture is: <b>{3}</b></p>
                  <p>The word for ""Password"" in this culture is: <b>{4}</b></p>",
                  lang.HELLO, 
                  lang.KIWI,
                  System.Threading.Thread.CurrentThread.CurrentUICulture,
                  CLocalizer.Current.FB_CASE,
                  CLocalizer.Current.FB_PASSWORD);
        }

        public PermissionLevel PageVisibility()
        {
            return PermissionLevel.Normal;
        }

        #endregion
    }
}
